# $Id: perl-esmith-PasswordTools.spec,v 1.2 2021/06/04 14:37:46 jpp Exp $
# Authority: mweinber
# Name: Michael Weinberger

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perlname esmith-PasswordTools
Summary: Perl esmith::PasswordTools module
Name: perl-%{perlname}
Version: 0.03
Release: 1%{?dist}
License: Artistic, GPL
Group: System Environment/Libraries
Source: esmith-PasswordTools-0.03.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: smeserver-release >= 10
URL: http://geodsoft.com/howto/password/
BuildRequires: perl
BuildRequires: perl-ExtUtils-MakeMaker


%description
Generates easily pronounceable and easy to remember passwords that pass the SME server password strength check.

SYNOPSIS
use esmith::PasswordTools;
$siz=8; $addConsonants='yes', $firstUpper='yes'; $mixedCase='no'; $symbolOdds=10, $symbols='';
$pw = esmith::PasswordTools::generate_password( $siz, $addConsonants, $firstUpper, $mixedCase, $symbolOdds, $symbols );
$pw = esmith::PasswordTools::sme_generate_password( $siz, $addConsonants, $mixedCase );

%changelog
* Thu Nov 11 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.03-1.sme
- New build for SME v10 [SME: 11621]
- Merge subroutines back to one pm file

* Fri Jun 04 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.02-3.sme
- build for SME10 [SME: 11621]

* Sat Mar 01 2008 Michael Weinberger <mweinber@neddix.de> 0.02-2
 fix spec file

%prep
%setup -n %{perlname}-%{version}


%build
%{__perl} Makefile.PL </dev/null
%{__sed} -e 's:^\(INSTALL[A-Z0-9_]*\(BIN\|ARCH\|SCRIPT\|LIB\|MAN[1-9]DIR\)\) = :\1 = '"$RPM_BUILD_ROOT"':' Makefile >Makefile2
%{__cat} Makefile2 >Makefile
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} install INSTALLDIRS=vendor
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/esmith/PasswordTools/.packlist


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)

#%dir %{_libdir}/perl5/5.8.5
%{perl_vendorlib}/esmith/PasswordTools.pm
%dir %{perl_vendorlib}/esmith
#%{perl_vendorlib}/auto/esmith/PasswordTools/autosplit.ix
#%{perl_vendorlib}/auto/esmith/PasswordTools/sme_generate_password.al
#%{perl_vendorlib}/auto/esmith/PasswordTools/generate_password.al
#%{perl_vendorlib}/auto/esmith/PasswordTools/validate_password.al
#%dir %{perl_vendorlib}/auto/esmith/PasswordTools
#%dir %{perl_vendorlib}/auto/esmith
#%dir %{perl_vendorlib}/auto
%doc %{_mandir}/man3/esmith::PasswordTools.3pm*
%doc Changes README
